
/* ############################################################
	300 - KUFER: KURSE
############################################################ */

/* Modul-Abstände */
.mdl-art-300 {
	overflow: hidden;
	width: calc(100% + 30px);
	padding-right: 30px;
}
@media (min-width: 1024px) {
	.mdl-art-300 {
		overflow: auto;
		width: 100%;
		padding-right: 0;
	}
}


/* Modultitel, Alle-Link */
.mdl-art-300 h2.modultitel, .mdl-art-300 h2.modultitel-big {
	display: flex;
	align-items: center;
	gap: var(--gap);
}
.mdl-art-300 h2.modultitel-big {
	font-size: 1.8125rem; /* 29px */
	letter-spacing: -0.29px;
}
.mdl-art-300 h2.modultitel a, .mdl-art-300 h2.modultitel-big a {
	margin-left: auto;
	white-space: nowrap;
}


/* Allgemeines */
.mdl300-modul-box {
	position: relative;
	display: block;
	width: 100%;
}
.mdl300-modul-box h3, .mdl300-modul-box p {
	margin-bottom: 0;
}


/* Foto-Box */
.mdl300-modul-box .link-item .picture-wrapper {
	position: relative;
	display: block;
	width: 100%;
	aspect-ratio: 1 / 0.68;
	overflow: hidden;
	border-radius: 0;
	transform-origin: center center;
}
	.mdl300-modul-box .link-item .picture-wrapper img {
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
		object-position: center center;
	}
	.mdl300-modul-box .picture-wrapper .x-lines {
		position: absolute;
		inset: 0;
		width: 100%;
		height: 100%;
		pointer-events: none;
	}
		.mdl300-modul-box .picture-wrapper .x-lines line {
			stroke: var(--main-color-1);
			stroke-width: 1px;
			vector-effect: non-scaling-stroke;
		}
@media (min-width: 1024px) {
	.mdl300-modul-box a.link-item .picture-wrapper {
		transition: border-radius 300ms var(--cubic-bezier);
	}
	.mdl300-modul-box a.link-item:hover .picture-wrapper {
		border-radius: clamp(60px, calc(100vw * 0.68), 105px);
	}
}


/* Titel, Rubrik */
.mdl300-modul-box .content-wrapper {
	margin-bottom: 30px;
}
	.mdl300-modul-box h3 {
		margin-top: 10px;
		font-size: 1.25rem; /* 20px */
		line-height: 1.2;
		letter-spacing: -0.2px;
	}
	.mdl300-modul-box .rubrik-paragraph {
		font-weight: 400;
		font-size: 0.75rem; /* 12px */
		line-height: 1.25;
		letter-spacing: 0.24px;
		text-transform: uppercase;
	}
	.mdl300-modul-box h3 + .rubrik-paragraph {
		margin-top: 10px;
	}
@media (min-width: 1024px) {
	.mdl300-modul-box .content-wrapper {
		margin-bottom: 36px;
	}
		.mdl300-modul-box h3 {
			font-size: 1.625rem; /* 26px */
			letter-spacing: -0.26px;
		}
		.mdl300-modul-box .rubrik-paragraph {
			font-size: 0.875rem; /* 14px */
			letter-spacing: 0.28px;
		}
}


/* Datum, Ort */
.mdl300-modul-box .meta-wrapper {
	margin-top: auto;
	font-size: 0.875rem; /* 14px */
	line-height: 1.25;
	letter-spacing: 0.14px;
}
	.mdl300-modul-box time {
		display: block;
	}
	.mdl300-modul-box time + .ort-paragraph {
		margin-top: 7px;
	}
@media (min-width: 1024px) {
	.mdl300-modul-box .meta-wrapper {
		font-size: 1rem; /* 16px */
		letter-spacing: 0.16px;
	}
}


/* Leere-Box */
.is-carousel-placeholder {
	display: none;
}
.mdl300-modul-box .empty-wrapper {
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
	overflow: hidden;
}
	.mdl300-modul-box .empty-wrapper .x-lines {
		position: absolute;
		inset: 0;
		width: 100%;
		height: 100%;
		pointer-events: none;
	}
		.mdl300-modul-box .empty-wrapper .x-lines line {
			stroke: var(--main-color-1);
			stroke-width: 1px;
			vector-effect: non-scaling-stroke;
		}
@media (min-width: 1024px) {
	.is-carousel-placeholder {
		display: block;
	}
}


/* ############################################################
	KARUSSELL (NUR MOBILE)
############################################################ */

/* Allgemeines */
@media (max-width: 1023.98px) {
	.mdl300-modul-box {
		max-width: calc(100vw - 30px);
		height: auto;
	}
		.mdl300-modul-box .owl-stage-outer {
			overflow: visible;
			width: 100vw;
			font-size: 0;
			line-height: 0;
		}
			.mdl300-modul-box .owl-stage {
				padding-left: 0 !important;
				display: flex;
				justify-content: left;
			}
				.mdl300-modul-box .owl-stage > .owl-item {
					float: none;
					position: relative;
				}
					.mdl300-modul-box .flex-item,
					.mdl300-modul-box .link-item {
						width: 100%;
						height: 100%;
						margin: 0;
						padding: 0;
					}
					.mdl300-modul-box .link-item {
						display: flex;
						flex-direction: column;
						justify-content: flex-start;
						flex-wrap: wrap;
						text-decoration: none;
					}
}
@media (min-width: 1024px) {
	.mdl300-modul-box {
		max-width: 100%;
	}
		.mdl300-modul-box .owl-stage-outer {
			width: 100%;
		}
}
@media (min-width: 1024px) {
	.mdl300-modul-box {
		display: grid;
		grid-template-columns: repeat(4, minmax(0, 1fr));
		column-gap: var(--gap);
		row-gap: 36px;
		max-width: 100%;
		width: 100%;
	}
		.mdl300-modul-box > .flex-item {
			position: relative;
			min-width: 0;
		}
		.mdl300-modul-box > .flex-item:nth-child(n + 9) {
			display: none;
		}
		.mdl300-modul-box .link-item {
			display: flex;
			flex-direction: column;
			height: 100%;
			text-decoration: none;
		}
}


/* ############################################################
	LINIEN-RASTER
############################################################ */

/* obere horizontale Linie */
.mdl300-modul-box::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 0;
	border-top: 1px solid var(--main-color-1);
}
.mdl300-modul-box .flex-item {
	padding-top: 15px;
}
@media (max-width: 1023.98px) {
	/* vertikale Linie */
	.mdl300-modul-box .owl-stage > .owl-item:not(:first-child)::before {
		content: "";
		position: absolute;
		top: 0;
		bottom: 0;
		left: calc(var(--gap-half) * -1);
		width: 0;
		border-left: 1px solid var(--main-color-1);
	}
}
@media (min-width: 1024px) {
	.mdl300-modul-box .flex-item {
		padding-top: 18px;
	}
	/* horizontale Linie */
	.mdl300-modul-box > .flex-item:nth-child(n + 5)::after {
		content: "";
		position: absolute;
		top: 0;
		height: 0;
		border-top: 1px solid var(--main-color-1);
	}
	.mdl300-modul-box > .flex-item:nth-child(n + 5):nth-child(4n + 1)::after {
		left: 0;
		width: calc(100% + var(--gap-half));
	}
	.mdl300-modul-box > .flex-item:nth-child(n + 5):nth-child(4n + 2)::after, .mdl300-modul-box > .flex-item:nth-child(n + 5):nth-child(4n + 3)::after {
		left: calc(var(--gap-half) * -1);
		width: calc(100% + var(--gap));
	}
	.mdl300-modul-box > .flex-item:nth-child(n + 5):nth-child(4n)::after {
		left: calc(var(--gap-half) * -1);
		width: calc(100% + var(--gap-half));
	}
	/* vertikale Linie */
	.mdl300-modul-box > .flex-item:not(:nth-child(4n + 1))::before {
		content: "";
		position: absolute;
		top: 0;
		bottom: 0;
		left: calc(var(--gap-half) * -1);
		width: 0;
		border-left: 1px solid var(--main-color-1);
	}
}

